import os,math

from block import Block
from pyglet.gl import *

ICON = pyglet.image.load(os.path.join("source","icon.png"))
BUILDSOUND = pyglet.media.load(os.path.join("source",'build.wav'),streaming=False)
DESTROYSOUND = pyglet.media.load(os.path.join("source",'destroy.wav'),streaming=False)
BACKGROUNDMUSIC = pyglet.media.load(os.path.join("source",'bgmusic.wav'))

BRICK = Block("BRICK",(0, 0), (0, 0), (0, 0), 1, os.path.join("texture","Brick.png"),destroyable = True)
GRASS = Block("GRASS",(0, 0), (0, 1), (1, 1), 2, os.path.join("texture","Grass.png"),destroyable = True)
STONE = Block("STONE",(0, 0), (0, 0), (0, 0), 1, os.path.join("texture","Stone.png"),destroyable = True)
MARBLE = Block("MARBLE",(0, 0), (0, 0), (0, 0), 1, os.path.join("texture","Marble.png"),destroyable = False)


ALLBLOCKS = [BRICK,GRASS,STONE,MARBLE]
PLACEBLOCKS = [BRICK,GRASS,STONE]
